Uncaught Error: Cannot use object of type WP_Error as array in bulletproof-security.php

Home Forums BulletProof Security Pro Uncaught Error: Cannot use object of type WP_Error as array in bulletproof-security.php

This topic contains 1 reply, has 2 voices, and was last updated by  AITpro Admin 1 month ago.

Viewing 2 posts - 1 through 2 (of 2 total)
  • Author
    Posts
  • #38067

    panfren
    Participant

    Hello!

    Conflict with a WP plugin? I can’t get a clear picture from the WordPress log file.

    Λεπτομέρειες σφάλματος
    ===========================================
    Ένα σφάλμα τύπου E_ERROR εντοπίστηκε στη γραμμή 230 του αρχείου /home/u347576676/domains/santonews.com/public_html/wp-content/plugins/bulletproof-security/bulletproof-security.php. Κωδικός σφάλματος: Uncaught Error: Cannot use object of type WP_Error as array in /home/u347576676/domains/santonews.com/public_html/wp-content/plugins/bulletproof-security/bulletproof-security.php:230
    Stack trace:
    #0 /home/u347576676/domains/santonews.com/public_html/wp-includes/class-wp-hook.php(286): bps_upgrade_plugin_api_call(false, 'query_plugins', Object(stdClass))
    #1 /home/u347576676/domains/santonews.com/public_html/wp-includes/plugin.php(208): WP_Hook->apply_filters(false, Array)
    #2 /home/u347576676/domains/santonews.com/public_html/wp-admin/includes/plugin-install.php(149): apply_filters('plugins_api', false, 'query_plugins', Object(stdClass))
    #3 /home/u347576676/domains/santonews.com/public_html/wp-admin/includes/class-wp-plugin-install-list-table.php(225): plugins_api('query_plugins', Object(stdClass))
    #4 /home/u347576676/domains/santonews.com/public_html/wp-admin/includes/ajax-actions.php(4417): WP_Plugin_Install_List_Table->prepare_items()
    #5 /home/u347576676/domains/santonews.com/public_html/wp-includes/class-wp

    I have changed the ARQ cron from 2 minutes to 10, and see if the issue persists.

    #38068

    AITpro Admin
    Keymaster

    The php error has to do with BPS Pro plugin upgrade checks for a new BPS Pro plugin version.  Someone else recently got this same php error.  We are not sure what is causing it as this point and are trying to reproduce the php error.  It is not a critical php error.  So nothing to worry about.

Viewing 2 posts - 1 through 2 (of 2 total)

You must be logged in to reply to this topic.